This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1256319 - The UPDATED time of an imageStreamTag is incorrect
The UPDATED time of an imageStreamTag is incorrect
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Image Registry (Show other bugs)
3.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Michail Kargakis
Jianwei Hou
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-24 07:10 EDT by Jianwei Hou
Modified: 2015-11-23 16:17 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-23 16:17:29 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jianwei Hou 2015-08-24 07:10:41 EDT
Description of problem:
While getting imagestreamtag, the UPDATED column shows a value of "292 years ago", which is incorrect.

Version-Release number of selected component (if applicable):
atomic-enterprise v3.0.1.100
kubernetes v1.1.0-alpha.0-1605-g44c91b1

How reproducible:
Always

Steps to Reproduce:
1. Create an imageStream
oc create -f https://raw.githubusercontent.com/openshift-qe/v3-testfiles/master/image-streams/annotations.json
2. Push an image to the stream
docker tag busybox 172.30.110.67:5000/jhou/testa:prod
docker push 172.30.110.67:5000/jhou/testa:prod (with username, token, email provided)
3. oc get imagestreamtag testa:prod

Actual results:
The 'UPDATED' column shows the imagestreamtag is updated 292 years ago.

NAME         DOCKER REF                                                                                              UPDATED         IMAGENAME
testa:prod   172.30.110.67:5000/jhou/testa@sha256:c63a73539cb99a7cbea258b76cc1fe838219b0676d285eae622d54383463c5cb   292 years ago   sha256:c63a73539cb99a7cbea258b76cc1fe838219b0676d285eae622d54383463c5cb

Expected results:
Should show a correct value.

Additional info:
Comment 1 Paul Weil 2015-08-31 09:19:35 EDT
Existing issue for this BZ: https://github.com/openshift/origin/issues/4275
PR for null time fixes https://github.com/openshift/origin/pull/4395
Comment 2 openshift-github-bot 2015-09-01 10:37:43 EDT
Commit pushed to master at https://github.com/openshift/origin

https://github.com/openshift/origin/commit/5a1018f03b98deb2aab88476471698acaac28067
Bug 1256319: get: Fix nil timestamp output
Comment 3 Jianwei Hou 2015-09-10 05:18:08 EDT
Verified on 
openshift v3.0.1.900-185-g2f7757a
kubernetes v1.1.0-alpha.0-1605-g44c91b1

The updated time is correct now
oc get imagestreamtag testa:prod
NAME         DOCKER REF                                                                                               UPDATED         IMAGENAME
testa:prod   172.30.209.234:5000/jhou/testa@sha256:c63a73539cb99a7cbea258b76cc1fe838219b0676d285eae622d54383463c5cb   6 seconds ago   sha256:c63a73539cb99a7cbea258b76cc1fe838219b0676d285eae622d54383463c5cb

Note You need to log in before you can comment on or make changes to this bug.